# synfig::Keyframe Class Reference

`#include <keyframe.h>`

Inheritance diagram for synfig::Keyframe:

List of all members.

## Public Member Functions

| Keyframe ()
| Keyframe (const Time &time)
| ~Keyframe ()
void | set_time (Time x)
Time | get_time () const
void | set_description (String x)
String | get_description () const
const GUID & | get_guid () const
void | set_guid (const GUID &x)
bool | operator< (const Keyframe &rhs) const
bool | operator< (const Time &rhs) const
bool | operator== (const Time &rhs) const
bool | operator!= (const Time &rhs) const

## Public Attributes

Time | time_
String | desc_
GUID | guid_

## Detailed Description

Todo:
  This needs to be documented further.

## Constructor & Destructor Documentation

Keyframe::Keyframe | ( |  | ) |

Keyframe::Keyframe | ( | const Time & | time | ) |

Keyframe::~Keyframe | ( |  | ) |

## Member Function Documentation

void synfig::Keyframe::set_time | ( | Time | x | ) | `[inline]`

References time_.

Time synfig::Keyframe::get_time | ( |  | ) | const`[inline]`

References time_.

Referenced by encode_keyframe().

void synfig::Keyframe::set_description | ( | String | x | ) | `[inline]`

References desc_.

String synfig::Keyframe::get_description | ( |  | ) | const`[inline]`

References desc_.

Referenced by encode_keyframe().

const GUID& synfig::Keyframe::get_guid | ( |  | ) | const`[inline]`

References guid_.

void synfig::Keyframe::set_guid | ( | const GUID & | x | ) | `[inline]`

References guid_.

bool synfig::Keyframe::operator< | ( | const Keyframe & | rhs | ) | const`[inline]`

References time_.

bool synfig::Keyframe::operator< | ( | const Time & | rhs | ) | const`[inline]`

References time_.

bool synfig::Keyframe::operator== | ( | const Time & | rhs | ) | const`[inline]`

References time_.

bool synfig::Keyframe::operator!= | ( | const Time & | rhs | ) | const`[inline]`

References time_.

## Member Data Documentation

Time synfig::Keyframe::time_

Referenced by get_time(), operator!=(), operator<(), operator==(), and set_time().

String synfig::Keyframe::desc_

Referenced by get_description(), and set_description().

GUID synfig::Keyframe::guid_

Referenced by get_guid(), and set_guid().

The documentation for this class was generated from the following files:

- keyframe.h
- keyframe.cpp